Subject: Re: [PATCH] powerpc/ps3: Use pr_devel() in ps3/mm.c

From: Michael Ellerman <[email-masked]>
Date: Wed, 24 Jun 2009 10:55:32 +1000

On Tue, 2009-06-23 at 09:53 -0700, Geoff Levand wrote:
> On 06/22/2009 06:56 PM, Michael Ellerman wrote:
> > The non-debug case in ps3/mm.c uses pr_debug(), so that the compiler
> > still does type checks etc. and doesn't complain about unused
> > variables in the non-debug case.
> > 
> > However with DEBUG=n and CONFIG_DYNAMIC_DEBUG=y there's still code
> > generated for those pr_debugs().
> > 
> > Signed-off-by: Michael Ellerman <[email-masked]>
> > ---
> >  arch/powerpc/platforms/ps3/mm.c |    2 +-
> >  1 files changed, 1 insertions(+), 1 deletions(-)
> 
> Looks good, thanks.  I put it on the todo list to go through
> the the remaining PS3 code to check for the same.

Cool, I've been slowly going through as I have time but I'll leave ps3
to you. I see ~270 uses in 9 files.

There are places where being able to dynamically enable the debug is
useful, but there are plenty where it's not also.

cheers